# Report Type: bidStrategy

Performance metrics and configuration attributes for bid strategies.


This report can only be returned by an asynchronous request (that is, via the
[Reports.request()](https://developers.google.com/search-ads/v2/reference/reports/request) method).

### Request excerpt


Send a regular
[Reports.request()](https://developers.google.com/search-ads/v2/reference/reports/request)
request body, but specify `"reportType": "bidStrategy"`.

```
{
...
  "reportType": "bidStrategy",
  "columns": [
    {
      "columnName": string,
      "headerText": string,
      "startDate": string,
      "endDate": string
    }
  ],
  "filters": [
    {
      "column": {
        "columnName": string,
      },
      ...
    },
    ...
  ],
...
}
```


For each column that you want returned or filtered in the report,
specify the `columnName` listed in the table below.
You can also optionally specify
[headerText](https://developers.google.com/search-ads/v2/reference/reports#request.columns.headerText),
[startDate](https://developers.google.com/search-ads/v2/reference/reports#request.columns.startDate),
and [endDate](https://developers.google.com/search-ads/v2/reference/reports#request.columns.endDate).
Note that some columns cannot be filtered; refer to "Filterable" in the table below.

| `columnName` | Description | Behavior | Type | Filterable |
|---|---|---|---|---|
| `status` | The status of the bid strategy: `Active`, `Paused`, or `Removed`. | attribute | `Status` | Yes |
| `creationTimestamp` | Timestamp of the bid strategy's creation, formatted in ISO 8601. | attribute | `Timestamp` | Yes |
| `lastModifiedTimestamp` | Timestamp of the bid strategy's most recent modification, formatted in ISO 8601. | attribute | `Timestamp` | Yes |
| `agency` | Agency name. | attribute | `String` | Yes |
| `agencyId` | DS agency ID. | attribute | `ID` | Yes |
| `advertiser` | Advertiser name. | attribute | `String` | Yes |
| `advertiserId` | DS advertiser ID. | attribute | `ID` | Yes |
| `bidStrategyId` | DS bid strategy ID. | attribute | `ID` | Yes |
| `bidStrategy` | The bid strategy name. | attribute | `String` | Yes |
| `bidStrategyGoal` | The goal of the bid strategy: `Position`, `Conversions`, `Revenue`, `Clicks`, or `Advanced targeting`. | attribute | `Bid strategy goal` | Yes |
| `floodlightOptimizationEnabled` | Whether the bid strategy targets specific Floodlight activities. | attribute | `Boolean` | Yes |
| `ersTarget` | The target ERS (effective revenue share) ratio of the bid strategy. | attribute | `Number` | Yes |
| `cpaTarget` | The target CPA (cost per action) of the bid strategy. | attribute | `Money` | Yes |
| `roasTarget` | The target ROAS (return on ad spending) ratio of the bid strategy. | attribute | `Number` | Yes |
| `lowPosition` | The lowest desirable position (numerically bigger) to show ads. For example, in a position range of 2 - 5, 5 is the `lowPosition`. | attribute | `Number` | Yes |
| `highPosition` | The highest desirable position (numerically smaller) to show ads. For example, in a position range of 2 - 5, 2 is the `highPosition`. | attribute | `Number` | Yes |
| `bidStrategyMinBid` | The lowest possible bid for keywords in this bid strategy. | attribute | `Money` | Yes |
| `bidStrategyMaxBid` | The highest possible bid for keywords in this bid strategy. | attribute | `Money` | Yes |
| `monthlySpendTarget` | The target spend for each month of this bid strategy. If needed, DS will increase bids to ensure this amount is spent. | attribute | `Money` | Yes |
| `floodlightActivityTargetIds` | Comma-separated list of Floodlight activity IDs that this bid strategy targets. | attribute | `String` | Yes |
| `dfaActions` | The total number of Campaign manager actions. | metric | `Integer` | Yes |
| `dfaRevenue` | Aggregate revenue generated by Campaign manager transactions. | metric | `Money` | Yes |
| `dfaTransactions` | The total number of Campaign manager transactions. | metric | `Integer` | Yes |
| `dfaWeightedActions` | Weighted sum of Campaign manager actions. | metric | `Number` | Yes |
| `dfaActionsCrossEnv` | The total number of cross-environment Campaign manager actions. | metric | `Number` | Yes |
| `dfaRevenueCrossEnv` | Aggregate revenue generated by cross-environment Campaign manager transactions. | metric | `Money` | Yes |
| `dfaTransactionsCrossEnv` | The total number of cross-environment Campaign manager transactions. | metric | `Number` | Yes |
| `dfaWeightedActionsCrossEnv` | Weighted sum of cross-environment Campaign manager actions. | metric | `Number` | Yes |
| `avgCpc` | Average cost per click. | metric | `Money` | Yes |
| `avgCpm` | Average cost per thousand impressions. | metric | `Money` | Yes |
| `avgPos` | Average position. | metric | `Number` | Yes |
| `clicks` | Aggregate clicks. | metric | `Integer` | Yes |
| `cost` | Aggregate cost paid to engine account(s). | metric | `Money` | Yes |
| `ctr` | Average click-through rate. | metric | `Number` | Yes |
| `impr` | The total number of impressions. | metric | `Integer` | Yes |
| `adWordsConversions` | The data that the advertiser has set up to be reported in the Google Ads Conversions column. When an Google Ads conversion action is created, the advertiser can [choose whether to count those conversions in the Conversions reporting column](https://support.google.com/google-ads/answer/4677036). | metric | `Number` | Yes |
| `adWordsConversionValue` | Aggregate value of Google Ads conversions. | metric | `Number` | Yes |
| `adWordsViewThroughConversions` | The total number of Google Ads view-through conversions. | metric | `Integer` | Yes |
| `visits` | The total number of DS visits. | metric | `Integer` | Yes |
| `date` | Segments the report by days; each row and its aggregate metrics are split into multiple rows, one for each day. This column returns the date of each row. | segment | `Date` | Yes |
| `monthStart` | Segments the report by months; each row and its aggregate metrics are split into multiple rows, one for each month. This column returns the first day of the month of each row. | segment | `Date` | Yes |
| `monthEnd` | Segments the report by months; each row and its aggregate metrics are split into multiple rows, one for each month. This column returns the last day of the month of each row. | segment | `Date` | Yes |
| `quarterStart` | Segments the report by quarters; each row and its aggregate metrics are split into multiple rows, one for each quarter. This column returns the first day of the quarter of each row. | segment | `Date` | Yes |
| `quarterEnd` | Segments the report by quarters; each row and its aggregate metrics are split into multiple rows, one for each quarter. This column returns the last day of the quarter of each row. | segment | `Date` | Yes |
| `weekStart` | Segments the report by weeks (Sunday to Saturday); each row and its aggregate metrics are split into multiple rows, one for each week. This column returns the first day (Sunday) of each row. | segment | `Date` | Yes |
| `weekEnd` | Segments the report by weeks (Sunday to Saturday); each row and its aggregate metrics are split into multiple rows, one for each week. This column returns the last day (Saturday) of each row. | segment | `Date` | Yes |
| `yearStart` | Segments the report by years; each row and its aggregate metrics are split into multiple rows, one for each year. This column returns the first day of the year of each row. | segment | `Date` | Yes |
| `yearEnd` | Segments the report by years; each row and its aggregate metrics are split into multiple rows, one for each year. This column returns the last day of the year of each row. | segment | `Date` | Yes |